Bug 1198268 - ansible installer should log by default and provide config option for disable
Summary: ansible installer should log by default and provide config option for disable
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Jason DeTiberus
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-03 17:05 UTC by Erik M Jacobs
Modified: 2015-04-29 13:45 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-12 16:33:47 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Erik M Jacobs 2015-03-03 17:05:20 UTC
The current incarnation of the installer is not very verbose, but it should verbosely log (configurably).

The current iterations of oo-install log to /tmp and that would be just fine in my book.

Comment 1 Jason DeTiberus 2015-03-03 21:07:03 UTC
The enterprise2 branch on my fork (https://github.com/detiber/openshift-ansible/tree/enterprise2) has been updated with an ansible.cfg file. If running ansible-playbook from the root of the git repo, the ansible.cfg is set to log to /tmp/ansible.log.

Comment 3 Jason DeTiberus 2015-03-06 16:54:48 UTC
This can be verified using the beta2 training doc: This can be verified using the beta2 training doc: https://github.com/openshift/training/blob/master/beta-2-setup.md

Comment 4 Anping Li 2015-03-09 07:20:20 UTC
Verify and pass following https://github.com/openshift/training/blob/master/beta-2-setup.md

1. first: turn on log in /etc/ansible/ansible.cfg
log_path = /var/log/ansible.log
2. create an empty log file /var/log/ansible.log
3. run ansible and check the log file, the error can be tracked.
cat /var/log/ansible.log 
2015-03-09 15:13:06,712 p=7867 u=root |   
2015-03-09 15:13:06,712 p=7867 u=root |  /usr/bin/ansible-playbook playbooks/byo/config.yml
2015-03-09 15:13:06,712 p=7867 u=root |   
2015-03-09 15:13:06,714 p=7867 u=root |  ERROR: the playbook: playbooks/byo/config.yml could not be found
2015-03-09 15:13:11,900 p=7872 u=root |   
2015-03-09 15:13:11,901 p=7872 u=root |  /usr/bin/ansible-playbook playbooks/byo/config.yml
2015-03-09 15:13:11,901 p=7872 u=root |   
2015-03-09 15:13:11,902 p=7872 u=root |  ERROR: the playbook: playbooks/byo/config.yml could not be found


Note You need to log in before you can comment on or make changes to this bug.